<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Dutch ServiceType
 * @subpackage Services
 */
class Dutch extends AbstractSoapClientBase
{
    /**
     * Sets the HeaderLogin SoapHeader param
     * @uses AbstractSoapClientBase::setSoapHeader()
     * @param \StructType\HeaderLoginType $headerLogin
     * @param string $nameSpace
     * @param bool $mustUnderstand
     * @param string $actor
     * @return bool
     */
    public function setSoapHeaderHeaderLogin(\StructType\HeaderLoginType $headerLogin, $nameSpace = 'http://www.webservices.nl/soap/', $mustUnderstand = false, $actor = null)
    {
        return $this->setSoapHeader($nameSpace, 'HeaderLogin', $headerLogin, $mustUnderstand, $actor);
    }
    /**
     * Sets the HeaderAuthenticate SoapHeader param
     * @uses AbstractSoapClientBase::setSoapHeader()
     * @param \StructType\HeaderAuthenticateType $headerAuthenticate
     * @param string $nameSpace
     * @param bool $mustUnderstand
     * @param string $actor
     * @return bool
     */
    public function setSoapHeaderHeaderAuthenticate(\StructType\HeaderAuthenticateType $headerAuthenticate, $nameSpace = 'http://www.webservices.nl/soap/', $mustUnderstand = false, $actor = null)
    {
        return $this->setSoapHeader($nameSpace, 'HeaderAuthenticate', $headerAuthenticate, $mustUnderstand, $actor);
    }
    /**
     * Method to call the operation originally named dutchAddressRangePostcodeSearch
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Validate and complete an address based on postcode and house number.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchAddressRangePostcodeSearchRequestType $parameters
     * @return \StructType\DutchAddressRangePostcodeSearchResponseType|bool
     */
    public function dutchAddressRangePostcodeSearch(\StructType\DutchAddressRangePostcodeSearchRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchAddressRangePostcodeSearch($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessGetDossier
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve data on a business establishment
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetDossierRequestType $parameters
     * @return \StructType\DutchBusinessGetDossierResponseType|bool
     */
    public function dutchBusinessGetDossier(\StructType\DutchBusinessGetDossierRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetDossier($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessGetDossierV2
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve data on a business establishment
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetDossierV2RequestType $parameters
     * @return \StructType\DutchBusinessGetDossierV2ResponseType|bool
     */
    public function dutchBusinessGetDossierV2(\StructType\DutchBusinessGetDossierV2RequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetDossierV2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessGetDossierV3
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve data on a business establishment
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetDossierV3RequestType $parameters
     * @return \StructType\DutchBusinessGetDossierV3ResponseType|bool
     */
    public function dutchBusinessGetDossierV3(\StructType\DutchBusinessGetDossierV3RequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetDossierV3($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessGetSBI
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve SBI Information on a company
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetSBIRequestType $parameters
     * @return \StructType\DutchBusinessGetSBIResponseType|bool
     */
    public function dutchBusinessGetSBI(\StructType\DutchBusinessGetSBIRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetSBI($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessGetVatNumber
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve data on a business establishment
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetVatNumberRequestType $parameters
     * @return \StructType\DutchBusinessGetVatNumberResponseType|bool
     */
    public function dutchBusinessGetVatNumber(\StructType\DutchBusinessGetVatNumberRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetVatNumber($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessGetPositions
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve position data on a business establishment
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetPositionsRequestType $parameters
     * @return \StructType\DutchBusinessGetPositionsResponseType|bool
     */
    public function dutchBusinessGetPositions(\StructType\DutchBusinessGetPositionsRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetPositions($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessGetLegalEntity
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve legal entity data on a business establishment
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetLegalEntityRequestType $parameters
     * @return \StructType\DutchBusinessGetLegalEntityResponseType|bool
     */
    public function dutchBusinessGetLegalEntity(\StructType\DutchBusinessGetLegalEntityRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetLegalEntity($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessGetOrganizationTree
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve the organization tree of a company
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetOrganizationTreeRequestType $parameters
     * @return \StructType\DutchBusinessGetOrganizationTreeResponseType|bool
     */
    public function dutchBusinessGetOrganizationTree(\StructType\DutchBusinessGetOrganizationTreeRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetOrganizationTree($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * dutchBusinessGetNonMarketingIndicator
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Determine if a Company has non-marketing indicator
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetNonMarketingIndicatorRequestType $parameters
     * @return \StructType\DutchBusinessGetNonMarketingIndicatorResponseType|bool
     */
    public function dutchBusinessGetNonMarketingIndicator(\StructType\DutchBusinessGetNonMarketingIndicatorRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetNonMarketingIndicator($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessSearchDossierNumber
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Search for business establishments using a known identifier
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessSearchDossierNumberRequestType $parameters
     * @return \StructType\DutchBusinessSearchDossierNumberResponseType|bool
     */
    public function dutchBusinessSearchDossierNumber(\StructType\DutchBusinessSearchDossierNumberRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessSearchDossierNumber($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * dutchBusinessGetConcernRelationsOverview
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Search for an overview of Corporate Group Relationships aka 'concern relaties' for specified dossier number
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetConcernRelationsOverviewRequestType $parameters
     * @return \StructType\DutchBusinessGetConcernRelationsOverviewResponseType|bool
     */
    public function dutchBusinessGetConcernRelationsOverview(\StructType\DutchBusinessGetConcernRelationsOverviewRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetConcernRelationsOverview($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * dutchBusinessGetConcernRelationsDetails
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Get all known details of a Corporate Group Relationships (concernrelaties) for specified dossier number
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetConcernRelationsDetailsRequestType $parameters
     * @return \StructType\DutchBusinessGetConcernRelationsDetailsResponseType|bool
     */
    public function dutchBusinessGetConcernRelationsDetails(\StructType\DutchBusinessGetConcernRelationsDetailsRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetConcernRelationsDetails($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessSearchParametersV2
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Find business establishments using a variety of parameters
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessSearchParametersV2RequestType $parameters
     * @return \StructType\DutchBusinessSearchParametersV2ResponseType|bool
     */
    public function dutchBusinessSearchParametersV2(\StructType\DutchBusinessSearchParametersV2RequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessSearchParametersV2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessSearch
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Find business establishments using a variety of parameters
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessSearchRequestType $parameters
     * @return \StructType\DutchBusinessSearchResponseType|bool
     */
    public function dutchBusinessSearch(\StructType\DutchBusinessSearchRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessSearch($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessSearchEstablishments
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Search for business establishments using a known identifier
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessSearchEstablishmentsRequestType $parameters
     * @return \StructType\DutchBusinessSearchEstablishmentsResponseType|bool
     */
    public function dutchBusinessSearchEstablishments(\StructType\DutchBusinessSearchEstablishmentsRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessSearchEstablishments($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessSearchPostcode
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Find business establishments based on postcode and house number
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessSearchPostcodeRequestType $parameters
     * @return \StructType\DutchBusinessSearchPostcodeResponseType|bool
     */
    public function dutchBusinessSearchPostcode(\StructType\DutchBusinessSearchPostcodeRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessSearchPostcode($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessSearchSelection
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Search for businesses matching all of the given criteria.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessSearchSelectionRequestType $parameters
     * @return \StructType\DutchBusinessSearchSelectionResponseType|bool
     */
    public function dutchBusinessSearchSelection(\StructType\DutchBusinessSearchSelectionRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessSearchSelection($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessSearchSelectionSimple
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Simple search for businesses matching all of the given criteria.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessSearchSelectionSimpleRequestType $parameters
     * @return \StructType\DutchBusinessSearchSelectionSimpleResponseType|bool
     */
    public function dutchBusinessSearchSelectionSimple(\StructType\DutchBusinessSearchSelectionSimpleRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessSearchSelectionSimple($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessGetSBIDescription
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Look up a SBI ('Standaard Bedrijfs Indeling 2008') code.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetSBIDescriptionRequestType $parameters
     * @return \StructType\DutchBusinessGetSBIDescriptionResponseType|bool
     */
    public function dutchBusinessGetSBIDescription(\StructType\DutchBusinessGetSBIDescriptionRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetSBIDescription($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * dutchBusinessGetAnnualFinancialStatement
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Get an annual financial statement for a dutch-business
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetAnnualFinancialStatementRequestType $parameters
     * @return \StructType\DutchBusinessGetAnnualFinancialStatementResponseType|bool
     */
    public function dutchBusinessGetAnnualFinancialStatement(\StructType\DutchBusinessGetAnnualFinancialStatementRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetAnnualFinancialStatement($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * dutchBusinessGetAdditionalPositions
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieves the positions, current and historical, of a functionary.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetAdditionalPositionsRequestType $parameters
     * @return \StructType\DutchBusinessGetAdditionalPositionsResponseType|bool
     */
    public function dutchBusinessGetAdditionalPositions(\StructType\DutchBusinessGetAdditionalPositionsRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetAdditionalPositions($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessLookALikes
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Finds similar companies (dossier numbers) for a given company
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessLookALikesRequestType $parameters
     * @return \StructType\DutchBusinessLookALikesResponseType|bool
     */
    public function dutchBusinessLookALikes(\StructType\DutchBusinessLookALikesRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessLookALikes($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessGetExtractDocument
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve a Chamber of Commerce extract document (Dutch: Uittreksel Handelsregister)
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetExtractDocumentRequestType $parameters
     * @return \StructType\DutchBusinessGetExtractDocumentResponseType|bool
     */
    public function dutchBusinessGetExtractDocument(\StructType\DutchBusinessGetExtractDocumentRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetExtractDocument($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * dutchBusinessGetExtractDocumentData
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve a Chamber of Commerce extract document (Dutch: Uittreksel Handelsregister)
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetExtractDocumentDataRequestType $parameters
     * @return \StructType\DutchBusinessGetExtractDocumentDataResponseType|bool
     */
    public function dutchBusinessGetExtractDocumentData(\StructType\DutchBusinessGetExtractDocumentDataRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetExtractDocumentData($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * dutchBusinessGetExtractDocumentDataV2
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve a Chamber of Commerce extract document (Dutch: Uittreksel Handelsregister)
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetExtractDocumentDataV2RequestType $parameters
     * @return \StructType\DutchBusinessGetExtractDocumentDataV2ResponseType|bool
     */
    public function dutchBusinessGetExtractDocumentDataV2(\StructType\DutchBusinessGetExtractDocumentDataV2RequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetExtractDocumentDataV2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * dutchBusinessGetExtractDocumentDataV3
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve a Chamber of Commerce extract document (Dutch: Uittreksel Handelsregister)
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetExtractDocumentDataV3RequestType $parameters
     * @return \StructType\DutchBusinessGetExtractDocumentDataV3ResponseType|bool
     */
    public function dutchBusinessGetExtractDocumentDataV3(\StructType\DutchBusinessGetExtractDocumentDataV3RequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetExtractDocumentDataV3($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * dutchBusinessGetLegalExtractDocumentDataV2
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve a Chamber of Commerce extract document (Dutch: Uittreksel Handelsregister)
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetLegalExtractDocumentDataV2RequestType $parameters
     * @return \StructType\DutchBusinessGetLegalExtractDocumentDataV2ResponseType|bool
     */
    public function dutchBusinessGetLegalExtractDocumentDataV2(\StructType\DutchBusinessGetLegalExtractDocumentDataV2RequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetLegalExtractDocumentDataV2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * dutchBusinessGetLegalExtractDocumentDataV3
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve a Chamber of Commerce extract document (Dutch: Uittreksel Handelsregister)
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetLegalExtractDocumentDataV3RequestType $parameters
     * @return \StructType\DutchBusinessGetLegalExtractDocumentDataV3ResponseType|bool
     */
    public function dutchBusinessGetLegalExtractDocumentDataV3(\StructType\DutchBusinessGetLegalExtractDocumentDataV3RequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetLegalExtractDocumentDataV3($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessGetExtractHistory
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve a list of extract document references
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetExtractHistoryRequestType $parameters
     * @return \StructType\DutchBusinessGetExtractHistoryResponseType|bool
     */
    public function dutchBusinessGetExtractHistory(\StructType\DutchBusinessGetExtractHistoryRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetExtractHistory($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * dutchBusinessGetExtractHistoryChanged
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve a list of extract document references
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetExtractHistoryChangedRequestType $parameters
     * @return \StructType\DutchBusinessGetExtractHistoryChangedResponseType|bool
     */
    public function dutchBusinessGetExtractHistoryChanged(\StructType\DutchBusinessGetExtractHistoryChangedRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetExtractHistoryChanged($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * dutchBusinessGetExtractHistoryDocumentData
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve a Chamber of Commerce extract document (Dutch: Uittreksel Handelsregister)
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetExtractHistoryDocumentDataRequestType $parameters
     * @return \StructType\DutchBusinessGetExtractHistoryDocumentDataResponseType|bool
     */
    public function dutchBusinessGetExtractHistoryDocumentData(\StructType\DutchBusinessGetExtractHistoryDocumentDataRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetExtractHistoryDocumentData($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * dutchBusinessGetExtractHistoryDocumentDataV2
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve a Chamber of Commerce extract document (Dutch: Uittreksel Handelsregister)
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetExtractHistoryDocumentDataV2RequestType $parameters
     * @return \StructType\DutchBusinessGetExtractHistoryDocumentDataV2ResponseType|bool
     */
    public function dutchBusinessGetExtractHistoryDocumentDataV2(\StructType\DutchBusinessGetExtractHistoryDocumentDataV2RequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetExtractHistoryDocumentDataV2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * dutchBusinessGetExtractHistoryDocumentDataV3
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve a Chamber of Commerce extract document (Dutch: Uittreksel Handelsregister)
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetExtractHistoryDocumentDataV3RequestType $parameters
     * @return \StructType\DutchBusinessGetExtractHistoryDocumentDataV3ResponseType|bool
     */
    public function dutchBusinessGetExtractHistoryDocumentDataV3(\StructType\DutchBusinessGetExtractHistoryDocumentDataV3RequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetExtractHistoryDocumentDataV3($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * dutchBusinessGetExtractHistoryDocumentDataV3ByDossier
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve a Chamber of Commerce extract document (Dutch: Uittreksel Handelsregister)
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetExtractHistoryDocumentDataV3ByDossierRequestType $parameters
     * @return \StructType\DutchBusinessGetExtractHistoryDocumentDataV3ByDossierResponseType|bool
     */
    public function dutchBusinessGetExtractHistoryDocumentDataV3ByDossier(\StructType\DutchBusinessGetExtractHistoryDocumentDataV3ByDossierRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetExtractHistoryDocumentDataV3ByDossier($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessGetDossierHistory
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Get a list of logged updates for a specific business dossier
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetDossierHistoryRequestType $parameters
     * @return \StructType\DutchBusinessGetDossierHistoryResponseType|bool
     */
    public function dutchBusinessGetDossierHistory(\StructType\DutchBusinessGetDossierHistoryRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetDossierHistory($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessUpdateGetDossiers
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Returns a list of all dossiers (that have been added to the users follow list) thathave been updated since they were last retrieved by the user (the user whose credentials are used to make the call).
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessUpdateGetDossiersRequestType $parameters
     * @return \StructType\DutchBusinessUpdateGetDossiersResponseType|bool
     */
    public function dutchBusinessUpdateGetDossiers(\StructType\DutchBusinessUpdateGetDossiersRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessUpdateGetDossiers($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessUpdateCheckDossier
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve information on the last change to a company.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessUpdateCheckDossierRequestType $parameters
     * @return \StructType\DutchBusinessUpdateCheckDossierResponseType|bool
     */
    public function dutchBusinessUpdateCheckDossier(\StructType\DutchBusinessUpdateCheckDossierRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessUpdateCheckDossier($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * dutchBusinessUpdateGetChangedDossiers
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve dossier numbers for all companies that changed since the given date.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessUpdateGetChangedDossiersRequestType $parameters
     * @return \StructType\DutchBusinessUpdateGetChangedDossiersResponseType|bool
     */
    public function dutchBusinessUpdateGetChangedDossiers(\StructType\DutchBusinessUpdateGetChangedDossiersRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessUpdateGetChangedDossiers($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessUpdateAddDossier
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Add a company to the follow list for which the user (the user whose credentials are used to make the call) wants to receive updates.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessUpdateAddDossierRequestType $parameters
     * @return \StructType\DutchBusinessUpdateAddDossierResponseType|bool
     */
    public function dutchBusinessUpdateAddDossier(\StructType\DutchBusinessUpdateAddDossierRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessUpdateAddDossier($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessUpdateRemoveDossier
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Remove a company from the follow list for which the user (the user whose credentials are used to make the call) wants to receive updates.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessUpdateRemoveDossierRequestType $parameters
     * @return \StructType\DutchBusinessUpdateRemoveDossierResponseType|bool
     */
    public function dutchBusinessUpdateRemoveDossier(\StructType\DutchBusinessUpdateRemoveDossierRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessUpdateRemoveDossier($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessUpdateGetOverview
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Get a complete overview of all the companies that are on the follow list for the user (the user whose credentials are used to make the call).
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessUpdateGetOverviewRequestType $parameters
     * @return \StructType\DutchBusinessUpdateGetOverviewResponseType|bool
     */
    public function dutchBusinessUpdateGetOverview(\StructType\DutchBusinessUpdateGetOverviewRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessUpdateGetOverview($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessSearchNewsByDossier
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Get a paged result of all news items found.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessSearchNewsByDossierRequestType $parameters
     * @return \StructType\DutchBusinessSearchNewsByDossierResponseType|bool
     */
    public function dutchBusinessSearchNewsByDossier(\StructType\DutchBusinessSearchNewsByDossierRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessSearchNewsByDossier($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessUBOStartInvestigation
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Starts a UBO investigation for given dossierNumber and establishmentNumber
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessUBOStartInvestigationRequestType $parameters
     * @return \StructType\DutchBusinessUBOStartInvestigationResponseType|bool
     */
    public function dutchBusinessUBOStartInvestigation(\StructType\DutchBusinessUBOStartInvestigationRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessUBOStartInvestigation($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessUBOCheckInvestigation
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Checks the status of a UBO investigation
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessUBOCheckInvestigationRequestType $parameters
     * @return \StructType\DutchBusinessUBOCheckInvestigationResponseType|bool
     */
    public function dutchBusinessUBOCheckInvestigation(\StructType\DutchBusinessUBOCheckInvestigationRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessUBOCheckInvestigation($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * dutchBusinessUBOPickupInvestigation
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Pickup the result of a UBO investigation
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessUBOPickupInvestigationRequestType $parameters
     * @return \StructType\DutchBusinessUBOPickupInvestigationResponseType|bool
     */
    public function dutchBusinessUBOPickupInvestigation(\StructType\DutchBusinessUBOPickupInvestigationRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessUBOPickupInvestigation($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessUBOCostsInvestigation
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Return the costs of a finished UBO investigation
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessUBOCostsInvestigationRequestType $parameters
     * @return \StructType\DutchBusinessUBOCostsInvestigationResponseType|bool
     */
    public function dutchBusinessUBOCostsInvestigation(\StructType\DutchBusinessUBOCostsInvestigationRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessUBOCostsInvestigation($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named
     * dutchBusinessUBOClassifyInvestigation
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Labels the natural persons found in an UBO Investigation according to a set of rules.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessUBOClassifyInvestigationRequestType $parameters
     * @return \StructType\DutchBusinessUBOClassifyInvestigationResponseType|bool
     */
    public function dutchBusinessUBOClassifyInvestigation(\StructType\DutchBusinessUBOClassifyInvestigationRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessUBOClassifyInvestigation($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessGetLei
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Retrieve Lei information for a business using the Chamber of Commerce number
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessGetLeiRequestType $parameters
     * @return \StructType\DutchBusinessGetLeiResponseType|bool
     */
    public function dutchBusinessGetLei(\StructType\DutchBusinessGetLeiRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessGetLei($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchBusinessSearchParameters
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Find business establishments using a variety of parameters
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchBusinessSearchParametersRequestType $parameters
     * @return \StructType\DutchBusinessSearchParametersResponseType|bool
     */
    public function dutchBusinessSearchParameters(\StructType\DutchBusinessSearchParametersRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchBusinessSearchParameters($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchVehicleGetVehicleV2
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Get the information of a dutch vehicle
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchVehicleGetVehicleV2RequestType $parameters
     * @return \StructType\DutchVehicleGetVehicleV2ResponseType|bool
     */
    public function dutchVehicleGetVehicleV2(\StructType\DutchVehicleGetVehicleV2RequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchVehicleGetVehicleV2($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchVehicleGetPurchaseReference
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Get the price information of a dutch vehicle
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchVehicleGetPurchaseReferenceRequestType $parameters
     * @return \StructType\DutchVehicleGetPurchaseReferenceResponseType|bool
     */
    public function dutchVehicleGetPurchaseReference(\StructType\DutchVehicleGetPurchaseReferenceRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchVehicleGetPurchaseReference($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchVehicleGetOwnerHistory
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Get all the (previous) owners of a dutch vehicle
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchVehicleGetOwnerHistoryRequestType $parameters
     * @return \StructType\DutchVehicleGetOwnerHistoryResponseType|bool
     */
    public function dutchVehicleGetOwnerHistory(\StructType\DutchVehicleGetOwnerHistoryRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchVehicleGetOwnerHistory($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchVehicleGetMarketValue
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Get all the current market value of a vehicle
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchVehicleGetMarketValueRequestType $parameters
     * @return \StructType\DutchVehicleGetMarketValueResponseType|bool
     */
    public function dutchVehicleGetMarketValue(\StructType\DutchVehicleGetMarketValueRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchVehicleGetMarketValue($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named dutchVehicleGetVehicle
     * Meta information extracted from the WSDL
     * - SOAPHeaderNames: HeaderLogin, HeaderAuthenticate
     * - SOAPHeaderNamespaces: http://www.webservices.nl/soap/, http://www.webservices.nl/soap/
     * - SOAPHeaderTypes: \StructType\HeaderLoginType, \StructType\HeaderAuthenticateType
     * - SOAPHeaders: required, required
     * - documentation: Get the information of a dutch vehicle
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\DutchVehicleGetVehicleRequestType $parameters
     * @return \StructType\DutchVehicleGetVehicleResponseType|bool
     */
    public function dutchVehicleGetVehicle(\StructType\DutchVehicleGetVehicleRequestType $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->dutchVehicleGetVehicle($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\DutchAddressRangePostcodeSearchResponseType|\StructType\DutchBusinessGetAdditionalPositionsResponseType|\StructType\DutchBusinessGetAnnualFinancialStatementResponseType|\StructType\DutchBusinessGetConcernRelationsDetailsResponseType|\StructType\DutchBusinessGetConcernRelationsOverviewResponseType|\StructType\DutchBusinessGetDossierHistoryResponseType|\StructType\DutchBusinessGetDossierResponseType|\StructType\DutchBusinessGetDossierV2ResponseType|\StructType\DutchBusinessGetDossierV3ResponseType|\StructType\DutchBusinessGetExtractDocumentDataResponseType|\StructType\DutchBusinessGetExtractDocumentDataV2ResponseType|\StructType\DutchBusinessGetExtractDocumentDataV3ResponseType|\StructType\DutchBusinessGetExtractDocumentResponseType|\StructType\DutchBusinessGetExtractHistoryChangedResponseType|\StructType\DutchBusinessGetExtractHistoryDocumentDataResponseType|\StructType\DutchBusinessGetExtractHistoryDocumentDataV2ResponseType|\StructType\DutchBusinessGetExtractHistoryDocumentDataV3ByDossierResponseType|\StructType\DutchBusinessGetExtractHistoryDocumentDataV3ResponseType|\StructType\DutchBusinessGetExtractHistoryResponseType|\StructType\DutchBusinessGetLegalEntityResponseType|\StructType\DutchBusinessGetLegalExtractDocumentDataV2ResponseType|\StructType\DutchBusinessGetLegalExtractDocumentDataV3ResponseType|\StructType\DutchBusinessGetLeiResponseType|\StructType\DutchBusinessGetNonMarketingIndicatorResponseType|\StructType\DutchBusinessGetOrganizationTreeResponseType|\StructType\DutchBusinessGetPositionsResponseType|\StructType\DutchBusinessGetSBIDescriptionResponseType|\StructType\DutchBusinessGetSBIResponseType|\StructType\DutchBusinessGetVatNumberResponseType|\StructType\DutchBusinessLookALikesResponseType|\StructType\DutchBusinessSearchDossierNumberResponseType|\StructType\DutchBusinessSearchEstablishmentsResponseType|\StructType\DutchBusinessSearchNewsByDossierResponseType|\StructType\DutchBusinessSearchParametersResponseType|\StructType\DutchBusinessSearchParametersV2ResponseType|\StructType\DutchBusinessSearchPostcodeResponseType|\StructType\DutchBusinessSearchResponseType|\StructType\DutchBusinessSearchSelectionResponseType|\StructType\DutchBusinessSearchSelectionSimpleResponseType|\StructType\DutchBusinessUBOCheckInvestigationResponseType|\StructType\DutchBusinessUBOClassifyInvestigationResponseType|\StructType\DutchBusinessUBOCostsInvestigationResponseType|\StructType\DutchBusinessUBOPickupInvestigationResponseType|\StructType\DutchBusinessUBOStartInvestigationResponseType|\StructType\DutchBusinessUpdateAddDossierResponseType|\StructType\DutchBusinessUpdateCheckDossierResponseType|\StructType\DutchBusinessUpdateGetChangedDossiersResponseType|\StructType\DutchBusinessUpdateGetDossiersResponseType|\StructType\DutchBusinessUpdateGetOverviewResponseType|\StructType\DutchBusinessUpdateRemoveDossierResponseType|\StructType\DutchVehicleGetMarketValueResponseType|\StructType\DutchVehicleGetOwnerHistoryResponseType|\StructType\DutchVehicleGetPurchaseReferenceResponseType|\StructType\DutchVehicleGetVehicleResponseType|\StructType\DutchVehicleGetVehicleV2ResponseType
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
