<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for accountUserSearchV2RequestType StructType
 * @subpackage Structs
 */
class AccountUserSearchV2RequestType extends AbstractStructBase
{
    /**
     * The accountid
     * @var int
     */
    public $accountid;
    /**
     * The phrase
     * @var string
     */
    public $phrase;
    /**
     * The page
     * @var int
     */
    public $page;
    /**
     * Constructor method for accountUserSearchV2RequestType
     * @uses AccountUserSearchV2RequestType::setAccountid()
     * @uses AccountUserSearchV2RequestType::setPhrase()
     * @uses AccountUserSearchV2RequestType::setPage()
     * @param int $accountid
     * @param string $phrase
     * @param int $page
     */
    public function __construct($accountid = null, $phrase = null, $page = null)
    {
        $this
            ->setAccountid($accountid)
            ->setPhrase($phrase)
            ->setPage($page);
    }
    /**
     * Get accountid value
     * @return int|null
     */
    public function getAccountid()
    {
        return $this->accountid;
    }
    /**
     * Set accountid value
     * @param int $accountid
     * @return \StructType\AccountUserSearchV2RequestType
     */
    public function setAccountid($accountid = null)
    {
        // validation for constraint: int
        if (!is_null($accountid) && !(is_int($accountid) || ctype_digit($accountid))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($accountid, true), gettype($accountid)), __LINE__);
        }
        $this->accountid = $accountid;
        return $this;
    }
    /**
     * Get phrase value
     * @return string|null
     */
    public function getPhrase()
    {
        return $this->phrase;
    }
    /**
     * Set phrase value
     * @param string $phrase
     * @return \StructType\AccountUserSearchV2RequestType
     */
    public function setPhrase($phrase = null)
    {
        // validation for constraint: string
        if (!is_null($phrase) && !is_string($phrase)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($phrase, true), gettype($phrase)), __LINE__);
        }
        $this->phrase = $phrase;
        return $this;
    }
    /**
     * Get page value
     * @return int|null
     */
    public function getPage()
    {
        return $this->page;
    }
    /**
     * Set page value
     * @param int $page
     * @return \StructType\AccountUserSearchV2RequestType
     */
    public function setPage($page = null)
    {
        // validation for constraint: int
        if (!is_null($page) && !(is_int($page) || ctype_digit($page))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($page, true), gettype($page)), __LINE__);
        }
        $this->page = $page;
        return $this;
    }
}
