<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BelgianBusinessRevisor StructType
 * @subpackage Structs
 */
class BelgianBusinessRevisor extends AbstractStructBase
{
    /**
     * The type
     * @var string
     */
    public $type;
    /**
     * The company_name
     * @var string
     */
    public $company_name;
    /**
     * The id
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $id;
    /**
     * The profession
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $profession;
    /**
     * The address
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\BelgianBusinessInternationalAddress
     */
    public $address;
    /**
     * The mandate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\BelgianBusinessDatedItem
     */
    public $mandate;
    /**
     * The first_name
     * @var string
     */
    public $first_name;
    /**
     * The last_name
     * @var string
     */
    public $last_name;
    /**
     * Constructor method for BelgianBusinessRevisor
     * @uses BelgianBusinessRevisor::setType()
     * @uses BelgianBusinessRevisor::setCompany_name()
     * @uses BelgianBusinessRevisor::setId()
     * @uses BelgianBusinessRevisor::setProfession()
     * @uses BelgianBusinessRevisor::setAddress()
     * @uses BelgianBusinessRevisor::setMandate()
     * @uses BelgianBusinessRevisor::setFirst_name()
     * @uses BelgianBusinessRevisor::setLast_name()
     * @param string $type
     * @param string $company_name
     * @param string $id
     * @param string $profession
     * @param \StructType\BelgianBusinessInternationalAddress $address
     * @param \StructType\BelgianBusinessDatedItem $mandate
     * @param string $first_name
     * @param string $last_name
     */
    public function __construct($type = null, $company_name = null, $id = null, $profession = null, \StructType\BelgianBusinessInternationalAddress $address = null, \StructType\BelgianBusinessDatedItem $mandate = null, $first_name = null, $last_name = null)
    {
        $this
            ->setType($type)
            ->setCompany_name($company_name)
            ->setId($id)
            ->setProfession($profession)
            ->setAddress($address)
            ->setMandate($mandate)
            ->setFirst_name($first_name)
            ->setLast_name($last_name);
    }
    /**
     * Get type value
     * @return string|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $type
     * @return \StructType\BelgianBusinessRevisor
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($type, true), gettype($type)), __LINE__);
        }
        $this->type = $type;
        return $this;
    }
    /**
     * Get company_name value
     * @return string|null
     */
    public function getCompany_name()
    {
        return $this->company_name;
    }
    /**
     * Set company_name value
     * @param string $company_name
     * @return \StructType\BelgianBusinessRevisor
     */
    public function setCompany_name($company_name = null)
    {
        // validation for constraint: string
        if (!is_null($company_name) && !is_string($company_name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($company_name, true), gettype($company_name)), __LINE__);
        }
        $this->company_name = $company_name;
        return $this;
    }
    /**
     * Get id value
     * @return string|null
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param string $id
     * @return \StructType\BelgianBusinessRevisor
     */
    public function setId($id = null)
    {
        // validation for constraint: string
        if (!is_null($id) && !is_string($id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        $this->id = $id;
        return $this;
    }
    /**
     * Get profession value
     * @return string|null
     */
    public function getProfession()
    {
        return $this->profession;
    }
    /**
     * Set profession value
     * @param string $profession
     * @return \StructType\BelgianBusinessRevisor
     */
    public function setProfession($profession = null)
    {
        // validation for constraint: string
        if (!is_null($profession) && !is_string($profession)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($profession, true), gettype($profession)), __LINE__);
        }
        $this->profession = $profession;
        return $this;
    }
    /**
     * Get address value
     * @return \StructType\BelgianBusinessInternationalAddress|null
     */
    public function getAddress()
    {
        return $this->address;
    }
    /**
     * Set address value
     * @param \StructType\BelgianBusinessInternationalAddress $address
     * @return \StructType\BelgianBusinessRevisor
     */
    public function setAddress(\StructType\BelgianBusinessInternationalAddress $address = null)
    {
        $this->address = $address;
        return $this;
    }
    /**
     * Get mandate value
     * @return \StructType\BelgianBusinessDatedItem|null
     */
    public function getMandate()
    {
        return $this->mandate;
    }
    /**
     * Set mandate value
     * @param \StructType\BelgianBusinessDatedItem $mandate
     * @return \StructType\BelgianBusinessRevisor
     */
    public function setMandate(\StructType\BelgianBusinessDatedItem $mandate = null)
    {
        $this->mandate = $mandate;
        return $this;
    }
    /**
     * Get first_name value
     * @return string|null
     */
    public function getFirst_name()
    {
        return $this->first_name;
    }
    /**
     * Set first_name value
     * @param string $first_name
     * @return \StructType\BelgianBusinessRevisor
     */
    public function setFirst_name($first_name = null)
    {
        // validation for constraint: string
        if (!is_null($first_name) && !is_string($first_name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($first_name, true), gettype($first_name)), __LINE__);
        }
        $this->first_name = $first_name;
        return $this;
    }
    /**
     * Get last_name value
     * @return string|null
     */
    public function getLast_name()
    {
        return $this->last_name;
    }
    /**
     * Set last_name value
     * @param string $last_name
     * @return \StructType\BelgianBusinessRevisor
     */
    public function setLast_name($last_name = null)
    {
        // validation for constraint: string
        if (!is_null($last_name) && !is_string($last_name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($last_name, true), gettype($last_name)), __LINE__);
        }
        $this->last_name = $last_name;
        return $this;
    }
}
