<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BusinessReferencePagedResult StructType
 * @subpackage Structs
 */
class BusinessReferencePagedResult extends AbstractStructBase
{
    /**
     * The paging
     * @var \StructType\ResultInfo
     */
    public $paging;
    /**
     * The results
     * @var \ArrayType\BusinessReferenceArray
     */
    public $results;
    /**
     * Constructor method for BusinessReferencePagedResult
     * @uses BusinessReferencePagedResult::setPaging()
     * @uses BusinessReferencePagedResult::setResults()
     * @param \StructType\ResultInfo $paging
     * @param \ArrayType\BusinessReferenceArray $results
     */
    public function __construct(\StructType\ResultInfo $paging = null, \ArrayType\BusinessReferenceArray $results = null)
    {
        $this
            ->setPaging($paging)
            ->setResults($results);
    }
    /**
     * Get paging value
     * @return \StructType\ResultInfo|null
     */
    public function getPaging()
    {
        return $this->paging;
    }
    /**
     * Set paging value
     * @param \StructType\ResultInfo $paging
     * @return \StructType\BusinessReferencePagedResult
     */
    public function setPaging(\StructType\ResultInfo $paging = null)
    {
        $this->paging = $paging;
        return $this;
    }
    /**
     * Get results value
     * @return \ArrayType\BusinessReferenceArray|null
     */
    public function getResults()
    {
        return $this->results;
    }
    /**
     * Set results value
     * @param \ArrayType\BusinessReferenceArray $results
     * @return \StructType\BusinessReferencePagedResult
     */
    public function setResults(\ArrayType\BusinessReferenceArray $results = null)
    {
        $this->results = $results;
        return $this;
    }
}
