<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BusinessSBICode StructType
 * @subpackage Structs
 */
class BusinessSBICode extends AbstractStructBase
{
    /**
     * The sbicode
     * @var string
     */
    public $sbicode;
    /**
     * The description
     * @var string
     */
    public $description;
    /**
     * Constructor method for BusinessSBICode
     * @uses BusinessSBICode::setSbicode()
     * @uses BusinessSBICode::setDescription()
     * @param string $sbicode
     * @param string $description
     */
    public function __construct($sbicode = null, $description = null)
    {
        $this
            ->setSbicode($sbicode)
            ->setDescription($description);
    }
    /**
     * Get sbicode value
     * @return string|null
     */
    public function getSbicode()
    {
        return $this->sbicode;
    }
    /**
     * Set sbicode value
     * @param string $sbicode
     * @return \StructType\BusinessSBICode
     */
    public function setSbicode($sbicode = null)
    {
        // validation for constraint: string
        if (!is_null($sbicode) && !is_string($sbicode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sbicode, true), gettype($sbicode)), __LINE__);
        }
        $this->sbicode = $sbicode;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \StructType\BusinessSBICode
     */
    public function setDescription($description = null)
    {
        // validation for constraint: string
        if (!is_null($description) && !is_string($description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($description, true), gettype($description)), __LINE__);
        }
        $this->description = $description;
        return $this;
    }
}
