<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ComplianceRoleReference StructType
 * @subpackage Structs
 */
class ComplianceRoleReference extends AbstractStructBase
{
    /**
     * The role
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $role;
    /**
     * The country
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $country;
    /**
     * The start_date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\ComplianceDate
     */
    public $start_date;
    /**
     * The end_date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\ComplianceDate
     */
    public $end_date;
    /**
     * Constructor method for ComplianceRoleReference
     * @uses ComplianceRoleReference::setRole()
     * @uses ComplianceRoleReference::setCountry()
     * @uses ComplianceRoleReference::setStart_date()
     * @uses ComplianceRoleReference::setEnd_date()
     * @param string $role
     * @param string $country
     * @param \StructType\ComplianceDate $start_date
     * @param \StructType\ComplianceDate $end_date
     */
    public function __construct($role = null, $country = null, \StructType\ComplianceDate $start_date = null, \StructType\ComplianceDate $end_date = null)
    {
        $this
            ->setRole($role)
            ->setCountry($country)
            ->setStart_date($start_date)
            ->setEnd_date($end_date);
    }
    /**
     * Get role value
     * @return string
     */
    public function getRole()
    {
        return $this->role;
    }
    /**
     * Set role value
     * @param string $role
     * @return \StructType\ComplianceRoleReference
     */
    public function setRole($role = null)
    {
        // validation for constraint: string
        if (!is_null($role) && !is_string($role)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($role, true), gettype($role)), __LINE__);
        }
        $this->role = $role;
        return $this;
    }
    /**
     * Get country value
     * @return string|null
     */
    public function getCountry()
    {
        return $this->country;
    }
    /**
     * Set country value
     * @param string $country
     * @return \StructType\ComplianceRoleReference
     */
    public function setCountry($country = null)
    {
        // validation for constraint: string
        if (!is_null($country) && !is_string($country)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($country, true), gettype($country)), __LINE__);
        }
        $this->country = $country;
        return $this;
    }
    /**
     * Get start_date value
     * @return \StructType\ComplianceDate|null
     */
    public function getStart_date()
    {
        return $this->start_date;
    }
    /**
     * Set start_date value
     * @param \StructType\ComplianceDate $start_date
     * @return \StructType\ComplianceRoleReference
     */
    public function setStart_date(\StructType\ComplianceDate $start_date = null)
    {
        $this->start_date = $start_date;
        return $this;
    }
    /**
     * Get end_date value
     * @return \StructType\ComplianceDate|null
     */
    public function getEnd_date()
    {
        return $this->end_date;
    }
    /**
     * Set end_date value
     * @param \StructType\ComplianceDate $end_date
     * @return \StructType\ComplianceRoleReference
     */
    public function setEnd_date(\StructType\ComplianceDate $end_date = null)
    {
        $this->end_date = $end_date;
        return $this;
    }
}
