<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyShareCapitalStructureV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyShareCapitalStructureV2 extends AbstractStructBase
{
    /**
     * The issued_share_capital
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $issued_share_capital;
    /**
     * The nominal_share_capital
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $nominal_share_capital;
    /**
     * The share_holders
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyShareHolderV2Array
     */
    public $share_holders;
    /**
     * Constructor method for CreditsafeCompanyShareCapitalStructureV2
     * @uses CreditsafeCompanyShareCapitalStructureV2::setIssued_share_capital()
     * @uses CreditsafeCompanyShareCapitalStructureV2::setNominal_share_capital()
     * @uses CreditsafeCompanyShareCapitalStructureV2::setShare_holders()
     * @param string $issued_share_capital
     * @param string $nominal_share_capital
     * @param \ArrayType\CreditsafeCompanyShareHolderV2Array $share_holders
     */
    public function __construct($issued_share_capital = null, $nominal_share_capital = null, \ArrayType\CreditsafeCompanyShareHolderV2Array $share_holders = null)
    {
        $this
            ->setIssued_share_capital($issued_share_capital)
            ->setNominal_share_capital($nominal_share_capital)
            ->setShare_holders($share_holders);
    }
    /**
     * Get issued_share_capital value
     * @return string|null
     */
    public function getIssued_share_capital()
    {
        return $this->issued_share_capital;
    }
    /**
     * Set issued_share_capital value
     * @param string $issued_share_capital
     * @return \StructType\CreditsafeCompanyShareCapitalStructureV2
     */
    public function setIssued_share_capital($issued_share_capital = null)
    {
        // validation for constraint: string
        if (!is_null($issued_share_capital) && !is_string($issued_share_capital)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($issued_share_capital, true), gettype($issued_share_capital)), __LINE__);
        }
        $this->issued_share_capital = $issued_share_capital;
        return $this;
    }
    /**
     * Get nominal_share_capital value
     * @return string|null
     */
    public function getNominal_share_capital()
    {
        return $this->nominal_share_capital;
    }
    /**
     * Set nominal_share_capital value
     * @param string $nominal_share_capital
     * @return \StructType\CreditsafeCompanyShareCapitalStructureV2
     */
    public function setNominal_share_capital($nominal_share_capital = null)
    {
        // validation for constraint: string
        if (!is_null($nominal_share_capital) && !is_string($nominal_share_capital)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($nominal_share_capital, true), gettype($nominal_share_capital)), __LINE__);
        }
        $this->nominal_share_capital = $nominal_share_capital;
        return $this;
    }
    /**
     * Get share_holders value
     * @return \ArrayType\CreditsafeCompanyShareHolderV2Array|null
     */
    public function getShare_holders()
    {
        return $this->share_holders;
    }
    /**
     * Set share_holders value
     * @param \ArrayType\CreditsafeCompanyShareHolderV2Array $share_holders
     * @return \StructType\CreditsafeCompanyShareCapitalStructureV2
     */
    public function setShare_holders(\ArrayType\CreditsafeCompanyShareHolderV2Array $share_holders = null)
    {
        $this->share_holders = $share_holders;
        return $this;
    }
}
