<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeEmployeeInformation StructType
 * @subpackage Structs
 */
class CreditsafeEmployeeInformation extends AbstractStructBase
{
    /**
     * The year
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $year;
    /**
     * The number_of_employees
     * @var string
     */
    public $number_of_employees;
    /**
     * Constructor method for CreditsafeEmployeeInformation
     * @uses CreditsafeEmployeeInformation::setYear()
     * @uses CreditsafeEmployeeInformation::setNumber_of_employees()
     * @param int $year
     * @param string $number_of_employees
     */
    public function __construct($year = null, $number_of_employees = null)
    {
        $this
            ->setYear($year)
            ->setNumber_of_employees($number_of_employees);
    }
    /**
     * Get year value
     * @return int|null
     */
    public function getYear()
    {
        return $this->year;
    }
    /**
     * Set year value
     * @param int $year
     * @return \StructType\CreditsafeEmployeeInformation
     */
    public function setYear($year = null)
    {
        // validation for constraint: int
        if (!is_null($year) && !(is_int($year) || ctype_digit($year))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($year, true), gettype($year)), __LINE__);
        }
        $this->year = $year;
        return $this;
    }
    /**
     * Get number_of_employees value
     * @return string|null
     */
    public function getNumber_of_employees()
    {
        return $this->number_of_employees;
    }
    /**
     * Set number_of_employees value
     * @param string $number_of_employees
     * @return \StructType\CreditsafeEmployeeInformation
     */
    public function setNumber_of_employees($number_of_employees = null)
    {
        // validation for constraint: string
        if (!is_null($number_of_employees) && !is_string($number_of_employees)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($number_of_employees, true), gettype($number_of_employees)), __LINE__);
        }
        $this->number_of_employees = $number_of_employees;
        return $this;
    }
}
