<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeLtdCompanyIdentification StructType
 * @subpackage Structs
 */
class CreditsafeLtdCompanyIdentification extends AbstractStructBase
{
    /**
     * The basic_information
     * @var \StructType\CreditsafeLtdCompanyBasicInformation
     */
    public $basic_information;
    /**
     * The activities
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyActivityArray
     */
    public $activities;
    /**
     * The previous_names
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeChangedStringArray
     */
    public $previous_names;
    /**
     * The previous_legal_forms
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeChangedStringArray
     */
    public $previous_legal_forms;
    /**
     * Constructor method for CreditsafeLtdCompanyIdentification
     * @uses CreditsafeLtdCompanyIdentification::setBasic_information()
     * @uses CreditsafeLtdCompanyIdentification::setActivities()
     * @uses CreditsafeLtdCompanyIdentification::setPrevious_names()
     * @uses CreditsafeLtdCompanyIdentification::setPrevious_legal_forms()
     * @param \StructType\CreditsafeLtdCompanyBasicInformation $basic_information
     * @param \ArrayType\CreditsafeCompanyActivityArray $activities
     * @param \ArrayType\CreditsafeChangedStringArray $previous_names
     * @param \ArrayType\CreditsafeChangedStringArray $previous_legal_forms
     */
    public function __construct(\StructType\CreditsafeLtdCompanyBasicInformation $basic_information = null, \ArrayType\CreditsafeCompanyActivityArray $activities = null, \ArrayType\CreditsafeChangedStringArray $previous_names = null, \ArrayType\CreditsafeChangedStringArray $previous_legal_forms = null)
    {
        $this
            ->setBasic_information($basic_information)
            ->setActivities($activities)
            ->setPrevious_names($previous_names)
            ->setPrevious_legal_forms($previous_legal_forms);
    }
    /**
     * Get basic_information value
     * @return \StructType\CreditsafeLtdCompanyBasicInformation|null
     */
    public function getBasic_information()
    {
        return $this->basic_information;
    }
    /**
     * Set basic_information value
     * @param \StructType\CreditsafeLtdCompanyBasicInformation $basic_information
     * @return \StructType\CreditsafeLtdCompanyIdentification
     */
    public function setBasic_information(\StructType\CreditsafeLtdCompanyBasicInformation $basic_information = null)
    {
        $this->basic_information = $basic_information;
        return $this;
    }
    /**
     * Get activities value
     * @return \ArrayType\CreditsafeCompanyActivityArray|null
     */
    public function getActivities()
    {
        return $this->activities;
    }
    /**
     * Set activities value
     * @param \ArrayType\CreditsafeCompanyActivityArray $activities
     * @return \StructType\CreditsafeLtdCompanyIdentification
     */
    public function setActivities(\ArrayType\CreditsafeCompanyActivityArray $activities = null)
    {
        $this->activities = $activities;
        return $this;
    }
    /**
     * Get previous_names value
     * @return \ArrayType\CreditsafeChangedStringArray|null
     */
    public function getPrevious_names()
    {
        return $this->previous_names;
    }
    /**
     * Set previous_names value
     * @param \ArrayType\CreditsafeChangedStringArray $previous_names
     * @return \StructType\CreditsafeLtdCompanyIdentification
     */
    public function setPrevious_names(\ArrayType\CreditsafeChangedStringArray $previous_names = null)
    {
        $this->previous_names = $previous_names;
        return $this;
    }
    /**
     * Get previous_legal_forms value
     * @return \ArrayType\CreditsafeChangedStringArray|null
     */
    public function getPrevious_legal_forms()
    {
        return $this->previous_legal_forms;
    }
    /**
     * Set previous_legal_forms value
     * @param \ArrayType\CreditsafeChangedStringArray $previous_legal_forms
     * @return \StructType\CreditsafeLtdCompanyIdentification
     */
    public function setPrevious_legal_forms(\ArrayType\CreditsafeChangedStringArray $previous_legal_forms = null)
    {
        $this->previous_legal_forms = $previous_legal_forms;
        return $this;
    }
}
