<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafePersonDirectorV2 StructType
 * @subpackage Structs
 */
class CreditsafePersonDirectorV2 extends AbstractStructBase
{
    /**
     * The address
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeAddressV2
     */
    public $address;
    /**
     * The director_type
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $director_type;
    /**
     * The id
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $id;
    /**
     * The positions
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafePersonPositionV2Array
     */
    public $positions;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The date_of_birth
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $date_of_birth;
    /**
     * The gender
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $gender;
    /**
     * Constructor method for CreditsafePersonDirectorV2
     * @uses CreditsafePersonDirectorV2::setAddress()
     * @uses CreditsafePersonDirectorV2::setDirector_type()
     * @uses CreditsafePersonDirectorV2::setId()
     * @uses CreditsafePersonDirectorV2::setPositions()
     * @uses CreditsafePersonDirectorV2::setName()
     * @uses CreditsafePersonDirectorV2::setDate_of_birth()
     * @uses CreditsafePersonDirectorV2::setGender()
     * @param \StructType\CreditsafeAddressV2 $address
     * @param string $director_type
     * @param string $id
     * @param \ArrayType\CreditsafePersonPositionV2Array $positions
     * @param string $name
     * @param string $date_of_birth
     * @param string $gender
     */
    public function __construct(\StructType\CreditsafeAddressV2 $address = null, $director_type = null, $id = null, \ArrayType\CreditsafePersonPositionV2Array $positions = null, $name = null, $date_of_birth = null, $gender = null)
    {
        $this
            ->setAddress($address)
            ->setDirector_type($director_type)
            ->setId($id)
            ->setPositions($positions)
            ->setName($name)
            ->setDate_of_birth($date_of_birth)
            ->setGender($gender);
    }
    /**
     * Get address value
     * @return \StructType\CreditsafeAddressV2|null
     */
    public function getAddress()
    {
        return $this->address;
    }
    /**
     * Set address value
     * @param \StructType\CreditsafeAddressV2 $address
     * @return \StructType\CreditsafePersonDirectorV2
     */
    public function setAddress(\StructType\CreditsafeAddressV2 $address = null)
    {
        $this->address = $address;
        return $this;
    }
    /**
     * Get director_type value
     * @return string|null
     */
    public function getDirector_type()
    {
        return $this->director_type;
    }
    /**
     * Set director_type value
     * @param string $director_type
     * @return \StructType\CreditsafePersonDirectorV2
     */
    public function setDirector_type($director_type = null)
    {
        // validation for constraint: string
        if (!is_null($director_type) && !is_string($director_type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($director_type, true), gettype($director_type)), __LINE__);
        }
        $this->director_type = $director_type;
        return $this;
    }
    /**
     * Get id value
     * @return string|null
     */
    public function getId()
    {
        return $this->id;
    }
    /**
     * Set id value
     * @param string $id
     * @return \StructType\CreditsafePersonDirectorV2
     */
    public function setId($id = null)
    {
        // validation for constraint: string
        if (!is_null($id) && !is_string($id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        $this->id = $id;
        return $this;
    }
    /**
     * Get positions value
     * @return \ArrayType\CreditsafePersonPositionV2Array|null
     */
    public function getPositions()
    {
        return $this->positions;
    }
    /**
     * Set positions value
     * @param \ArrayType\CreditsafePersonPositionV2Array $positions
     * @return \StructType\CreditsafePersonDirectorV2
     */
    public function setPositions(\ArrayType\CreditsafePersonPositionV2Array $positions = null)
    {
        $this->positions = $positions;
        return $this;
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \StructType\CreditsafePersonDirectorV2
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name, true), gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get date_of_birth value
     * @return string|null
     */
    public function getDate_of_birth()
    {
        return $this->date_of_birth;
    }
    /**
     * Set date_of_birth value
     * @param string $date_of_birth
     * @return \StructType\CreditsafePersonDirectorV2
     */
    public function setDate_of_birth($date_of_birth = null)
    {
        // validation for constraint: string
        if (!is_null($date_of_birth) && !is_string($date_of_birth)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($date_of_birth, true), gettype($date_of_birth)), __LINE__);
        }
        $this->date_of_birth = $date_of_birth;
        return $this;
    }
    /**
     * Get gender value
     * @return string|null
     */
    public function getGender()
    {
        return $this->gender;
    }
    /**
     * Set gender value
     * @param string $gender
     * @return \StructType\CreditsafePersonDirectorV2
     */
    public function setGender($gender = null)
    {
        // validation for constraint: string
        if (!is_null($gender) && !is_string($gender)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($gender, true), gettype($gender)), __LINE__);
        }
        $this->gender = $gender;
        return $this;
    }
}
