<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchVehiclePrice StructType
 * @subpackage Structs
 */
class DutchVehiclePrice extends AbstractStructBase
{
    /**
     * The purchase_price
     * @var float
     */
    public $purchase_price;
    /**
     * The vehicle_purchase_tax
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $vehicle_purchase_tax;
    /**
     * The value_added_tax
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $value_added_tax;
    /**
     * The net_purchase_price
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $net_purchase_price;
    /**
     * The calculation_method
     * @var string
     */
    public $calculation_method;
    /**
     * Constructor method for DutchVehiclePrice
     * @uses DutchVehiclePrice::setPurchase_price()
     * @uses DutchVehiclePrice::setVehicle_purchase_tax()
     * @uses DutchVehiclePrice::setValue_added_tax()
     * @uses DutchVehiclePrice::setNet_purchase_price()
     * @uses DutchVehiclePrice::setCalculation_method()
     * @param float $purchase_price
     * @param float $vehicle_purchase_tax
     * @param float $value_added_tax
     * @param float $net_purchase_price
     * @param string $calculation_method
     */
    public function __construct($purchase_price = null, $vehicle_purchase_tax = null, $value_added_tax = null, $net_purchase_price = null, $calculation_method = null)
    {
        $this
            ->setPurchase_price($purchase_price)
            ->setVehicle_purchase_tax($vehicle_purchase_tax)
            ->setValue_added_tax($value_added_tax)
            ->setNet_purchase_price($net_purchase_price)
            ->setCalculation_method($calculation_method);
    }
    /**
     * Get purchase_price value
     * @return float|null
     */
    public function getPurchase_price()
    {
        return $this->purchase_price;
    }
    /**
     * Set purchase_price value
     * @param float $purchase_price
     * @return \StructType\DutchVehiclePrice
     */
    public function setPurchase_price($purchase_price = null)
    {
        // validation for constraint: float
        if (!is_null($purchase_price) && !(is_float($purchase_price) || is_numeric($purchase_price))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($purchase_price, true), gettype($purchase_price)), __LINE__);
        }
        $this->purchase_price = $purchase_price;
        return $this;
    }
    /**
     * Get vehicle_purchase_tax value
     * @return float|null
     */
    public function getVehicle_purchase_tax()
    {
        return $this->vehicle_purchase_tax;
    }
    /**
     * Set vehicle_purchase_tax value
     * @param float $vehicle_purchase_tax
     * @return \StructType\DutchVehiclePrice
     */
    public function setVehicle_purchase_tax($vehicle_purchase_tax = null)
    {
        // validation for constraint: float
        if (!is_null($vehicle_purchase_tax) && !(is_float($vehicle_purchase_tax) || is_numeric($vehicle_purchase_tax))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($vehicle_purchase_tax, true), gettype($vehicle_purchase_tax)), __LINE__);
        }
        $this->vehicle_purchase_tax = $vehicle_purchase_tax;
        return $this;
    }
    /**
     * Get value_added_tax value
     * @return float|null
     */
    public function getValue_added_tax()
    {
        return $this->value_added_tax;
    }
    /**
     * Set value_added_tax value
     * @param float $value_added_tax
     * @return \StructType\DutchVehiclePrice
     */
    public function setValue_added_tax($value_added_tax = null)
    {
        // validation for constraint: float
        if (!is_null($value_added_tax) && !(is_float($value_added_tax) || is_numeric($value_added_tax))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($value_added_tax, true), gettype($value_added_tax)), __LINE__);
        }
        $this->value_added_tax = $value_added_tax;
        return $this;
    }
    /**
     * Get net_purchase_price value
     * @return float|null
     */
    public function getNet_purchase_price()
    {
        return $this->net_purchase_price;
    }
    /**
     * Set net_purchase_price value
     * @param float $net_purchase_price
     * @return \StructType\DutchVehiclePrice
     */
    public function setNet_purchase_price($net_purchase_price = null)
    {
        // validation for constraint: float
        if (!is_null($net_purchase_price) && !(is_float($net_purchase_price) || is_numeric($net_purchase_price))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($net_purchase_price, true), gettype($net_purchase_price)), __LINE__);
        }
        $this->net_purchase_price = $net_purchase_price;
        return $this;
    }
    /**
     * Get calculation_method value
     * @return string|null
     */
    public function getCalculation_method()
    {
        return $this->calculation_method;
    }
    /**
     * Set calculation_method value
     * @param string $calculation_method
     * @return \StructType\DutchVehiclePrice
     */
    public function setCalculation_method($calculation_method = null)
    {
        // validation for constraint: string
        if (!is_null($calculation_method) && !is_string($calculation_method)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($calculation_method, true), gettype($calculation_method)), __LINE__);
        }
        $this->calculation_method = $calculation_method;
        return $this;
    }
}
