<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GCRAnnualFigures StructType
 * @subpackage Structs
 */
class GCRAnnualFigures extends AbstractStructBase
{
    /**
     * The graydon_company_id
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $graydon_company_id;
    /**
     * The company_annual_accounts
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRCompanyAnnualAccountArray
     */
    public $company_annual_accounts;
    /**
     * The bank_and_insurer_data
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRBankAndInsurerDataArray
     */
    public $bank_and_insurer_data;
    /**
     * Constructor method for GCRAnnualFigures
     * @uses GCRAnnualFigures::setGraydon_company_id()
     * @uses GCRAnnualFigures::setCompany_annual_accounts()
     * @uses GCRAnnualFigures::setBank_and_insurer_data()
     * @param int $graydon_company_id
     * @param \ArrayType\GCRCompanyAnnualAccountArray $company_annual_accounts
     * @param \ArrayType\GCRBankAndInsurerDataArray $bank_and_insurer_data
     */
    public function __construct($graydon_company_id = null, \ArrayType\GCRCompanyAnnualAccountArray $company_annual_accounts = null, \ArrayType\GCRBankAndInsurerDataArray $bank_and_insurer_data = null)
    {
        $this
            ->setGraydon_company_id($graydon_company_id)
            ->setCompany_annual_accounts($company_annual_accounts)
            ->setBank_and_insurer_data($bank_and_insurer_data);
    }
    /**
     * Get graydon_company_id value
     * @return int|null
     */
    public function getGraydon_company_id()
    {
        return $this->graydon_company_id;
    }
    /**
     * Set graydon_company_id value
     * @param int $graydon_company_id
     * @return \StructType\GCRAnnualFigures
     */
    public function setGraydon_company_id($graydon_company_id = null)
    {
        // validation for constraint: int
        if (!is_null($graydon_company_id) && !(is_int($graydon_company_id) || ctype_digit($graydon_company_id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($graydon_company_id, true), gettype($graydon_company_id)), __LINE__);
        }
        $this->graydon_company_id = $graydon_company_id;
        return $this;
    }
    /**
     * Get company_annual_accounts value
     * @return \ArrayType\GCRCompanyAnnualAccountArray|null
     */
    public function getCompany_annual_accounts()
    {
        return $this->company_annual_accounts;
    }
    /**
     * Set company_annual_accounts value
     * @param \ArrayType\GCRCompanyAnnualAccountArray $company_annual_accounts
     * @return \StructType\GCRAnnualFigures
     */
    public function setCompany_annual_accounts(\ArrayType\GCRCompanyAnnualAccountArray $company_annual_accounts = null)
    {
        $this->company_annual_accounts = $company_annual_accounts;
        return $this;
    }
    /**
     * Get bank_and_insurer_data value
     * @return \ArrayType\GCRBankAndInsurerDataArray|null
     */
    public function getBank_and_insurer_data()
    {
        return $this->bank_and_insurer_data;
    }
    /**
     * Set bank_and_insurer_data value
     * @param \ArrayType\GCRBankAndInsurerDataArray $bank_and_insurer_data
     * @return \StructType\GCRAnnualFigures
     */
    public function setBank_and_insurer_data(\ArrayType\GCRBankAndInsurerDataArray $bank_and_insurer_data = null)
    {
        $this->bank_and_insurer_data = $bank_and_insurer_data;
        return $this;
    }
}
