<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GCRCompanyItselfAlarm StructType
 * @subpackage Structs
 */
class GCRCompanyItselfAlarm extends AbstractStructBase
{
    /**
     * The graydon_company_id
     * @var int
     */
    public $graydon_company_id;
    /**
     * The contact_details
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCRAlarmContactDetails
     */
    public $contact_details;
    /**
     * The discontinuance
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCRDiscontinuance
     */
    public $discontinuance;
    /**
     * The special_company_information
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRSpecialCompanyInformationArray
     */
    public $special_company_information;
    /**
     * Constructor method for GCRCompanyItselfAlarm
     * @uses GCRCompanyItselfAlarm::setGraydon_company_id()
     * @uses GCRCompanyItselfAlarm::setContact_details()
     * @uses GCRCompanyItselfAlarm::setDiscontinuance()
     * @uses GCRCompanyItselfAlarm::setSpecial_company_information()
     * @param int $graydon_company_id
     * @param \StructType\GCRAlarmContactDetails $contact_details
     * @param \StructType\GCRDiscontinuance $discontinuance
     * @param \ArrayType\GCRSpecialCompanyInformationArray $special_company_information
     */
    public function __construct($graydon_company_id = null, \StructType\GCRAlarmContactDetails $contact_details = null, \StructType\GCRDiscontinuance $discontinuance = null, \ArrayType\GCRSpecialCompanyInformationArray $special_company_information = null)
    {
        $this
            ->setGraydon_company_id($graydon_company_id)
            ->setContact_details($contact_details)
            ->setDiscontinuance($discontinuance)
            ->setSpecial_company_information($special_company_information);
    }
    /**
     * Get graydon_company_id value
     * @return int|null
     */
    public function getGraydon_company_id()
    {
        return $this->graydon_company_id;
    }
    /**
     * Set graydon_company_id value
     * @param int $graydon_company_id
     * @return \StructType\GCRCompanyItselfAlarm
     */
    public function setGraydon_company_id($graydon_company_id = null)
    {
        // validation for constraint: int
        if (!is_null($graydon_company_id) && !(is_int($graydon_company_id) || ctype_digit($graydon_company_id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($graydon_company_id, true), gettype($graydon_company_id)), __LINE__);
        }
        $this->graydon_company_id = $graydon_company_id;
        return $this;
    }
    /**
     * Get contact_details value
     * @return \StructType\GCRAlarmContactDetails|null
     */
    public function getContact_details()
    {
        return $this->contact_details;
    }
    /**
     * Set contact_details value
     * @param \StructType\GCRAlarmContactDetails $contact_details
     * @return \StructType\GCRCompanyItselfAlarm
     */
    public function setContact_details(\StructType\GCRAlarmContactDetails $contact_details = null)
    {
        $this->contact_details = $contact_details;
        return $this;
    }
    /**
     * Get discontinuance value
     * @return \StructType\GCRDiscontinuance|null
     */
    public function getDiscontinuance()
    {
        return $this->discontinuance;
    }
    /**
     * Set discontinuance value
     * @param \StructType\GCRDiscontinuance $discontinuance
     * @return \StructType\GCRCompanyItselfAlarm
     */
    public function setDiscontinuance(\StructType\GCRDiscontinuance $discontinuance = null)
    {
        $this->discontinuance = $discontinuance;
        return $this;
    }
    /**
     * Get special_company_information value
     * @return \ArrayType\GCRSpecialCompanyInformationArray|null
     */
    public function getSpecial_company_information()
    {
        return $this->special_company_information;
    }
    /**
     * Set special_company_information value
     * @param \ArrayType\GCRSpecialCompanyInformationArray $special_company_information
     * @return \StructType\GCRCompanyItselfAlarm
     */
    public function setSpecial_company_information(\ArrayType\GCRSpecialCompanyInformationArray $special_company_information = null)
    {
        $this->special_company_information = $special_company_information;
        return $this;
    }
}
