<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GCRHistory StructType
 * @subpackage Structs
 */
class GCRHistory extends AbstractStructBase
{
    /**
     * The originated_from
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCROriginatedFromArray
     */
    public $originated_from;
    /**
     * The continuation
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRContinuationArray
     */
    public $continuation;
    /**
     * The company_continued_under
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\GCRCompanyContinuedUnderArray
     */
    public $company_continued_under;
    /**
     * Constructor method for GCRHistory
     * @uses GCRHistory::setOriginated_from()
     * @uses GCRHistory::setContinuation()
     * @uses GCRHistory::setCompany_continued_under()
     * @param \ArrayType\GCROriginatedFromArray $originated_from
     * @param \ArrayType\GCRContinuationArray $continuation
     * @param \ArrayType\GCRCompanyContinuedUnderArray $company_continued_under
     */
    public function __construct(\ArrayType\GCROriginatedFromArray $originated_from = null, \ArrayType\GCRContinuationArray $continuation = null, \ArrayType\GCRCompanyContinuedUnderArray $company_continued_under = null)
    {
        $this
            ->setOriginated_from($originated_from)
            ->setContinuation($continuation)
            ->setCompany_continued_under($company_continued_under);
    }
    /**
     * Get originated_from value
     * @return \ArrayType\GCROriginatedFromArray|null
     */
    public function getOriginated_from()
    {
        return $this->originated_from;
    }
    /**
     * Set originated_from value
     * @param \ArrayType\GCROriginatedFromArray $originated_from
     * @return \StructType\GCRHistory
     */
    public function setOriginated_from(\ArrayType\GCROriginatedFromArray $originated_from = null)
    {
        $this->originated_from = $originated_from;
        return $this;
    }
    /**
     * Get continuation value
     * @return \ArrayType\GCRContinuationArray|null
     */
    public function getContinuation()
    {
        return $this->continuation;
    }
    /**
     * Set continuation value
     * @param \ArrayType\GCRContinuationArray $continuation
     * @return \StructType\GCRHistory
     */
    public function setContinuation(\ArrayType\GCRContinuationArray $continuation = null)
    {
        $this->continuation = $continuation;
        return $this;
    }
    /**
     * Get company_continued_under value
     * @return \ArrayType\GCRCompanyContinuedUnderArray|null
     */
    public function getCompany_continued_under()
    {
        return $this->company_continued_under;
    }
    /**
     * Set company_continued_under value
     * @param \ArrayType\GCRCompanyContinuedUnderArray $company_continued_under
     * @return \StructType\GCRHistory
     */
    public function setCompany_continued_under(\ArrayType\GCRCompanyContinuedUnderArray $company_continued_under = null)
    {
        $this->company_continued_under = $company_continued_under;
        return $this;
    }
}
