<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GCRParticipation StructType
 * @subpackage Structs
 */
class GCRParticipation extends AbstractStructBase
{
    /**
     * The graydon_company_id
     * @var int
     */
    public $graydon_company_id;
    /**
     * The is_current
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $is_current;
    /**
     * The percentage_of_shares
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $percentage_of_shares;
    /**
     * The date_from
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $date_from;
    /**
     * The date_until
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $date_until;
    /**
     * Constructor method for GCRParticipation
     * @uses GCRParticipation::setGraydon_company_id()
     * @uses GCRParticipation::setIs_current()
     * @uses GCRParticipation::setPercentage_of_shares()
     * @uses GCRParticipation::setDate_from()
     * @uses GCRParticipation::setDate_until()
     * @param int $graydon_company_id
     * @param bool $is_current
     * @param float $percentage_of_shares
     * @param string $date_from
     * @param string $date_until
     */
    public function __construct($graydon_company_id = null, $is_current = null, $percentage_of_shares = null, $date_from = null, $date_until = null)
    {
        $this
            ->setGraydon_company_id($graydon_company_id)
            ->setIs_current($is_current)
            ->setPercentage_of_shares($percentage_of_shares)
            ->setDate_from($date_from)
            ->setDate_until($date_until);
    }
    /**
     * Get graydon_company_id value
     * @return int|null
     */
    public function getGraydon_company_id()
    {
        return $this->graydon_company_id;
    }
    /**
     * Set graydon_company_id value
     * @param int $graydon_company_id
     * @return \StructType\GCRParticipation
     */
    public function setGraydon_company_id($graydon_company_id = null)
    {
        // validation for constraint: int
        if (!is_null($graydon_company_id) && !(is_int($graydon_company_id) || ctype_digit($graydon_company_id))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($graydon_company_id, true), gettype($graydon_company_id)), __LINE__);
        }
        $this->graydon_company_id = $graydon_company_id;
        return $this;
    }
    /**
     * Get is_current value
     * @return bool|null
     */
    public function getIs_current()
    {
        return $this->is_current;
    }
    /**
     * Set is_current value
     * @param bool $is_current
     * @return \StructType\GCRParticipation
     */
    public function setIs_current($is_current = null)
    {
        // validation for constraint: boolean
        if (!is_null($is_current) && !is_bool($is_current)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($is_current, true), gettype($is_current)), __LINE__);
        }
        $this->is_current = $is_current;
        return $this;
    }
    /**
     * Get percentage_of_shares value
     * @return float|null
     */
    public function getPercentage_of_shares()
    {
        return $this->percentage_of_shares;
    }
    /**
     * Set percentage_of_shares value
     * @param float $percentage_of_shares
     * @return \StructType\GCRParticipation
     */
    public function setPercentage_of_shares($percentage_of_shares = null)
    {
        // validation for constraint: float
        if (!is_null($percentage_of_shares) && !(is_float($percentage_of_shares) || is_numeric($percentage_of_shares))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($percentage_of_shares, true), gettype($percentage_of_shares)), __LINE__);
        }
        $this->percentage_of_shares = $percentage_of_shares;
        return $this;
    }
    /**
     * Get date_from value
     * @return string|null
     */
    public function getDate_from()
    {
        return $this->date_from;
    }
    /**
     * Set date_from value
     * @param string $date_from
     * @return \StructType\GCRParticipation
     */
    public function setDate_from($date_from = null)
    {
        // validation for constraint: string
        if (!is_null($date_from) && !is_string($date_from)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($date_from, true), gettype($date_from)), __LINE__);
        }
        $this->date_from = $date_from;
        return $this;
    }
    /**
     * Get date_until value
     * @return string|null
     */
    public function getDate_until()
    {
        return $this->date_until;
    }
    /**
     * Set date_until value
     * @param string $date_until
     * @return \StructType\GCRParticipation
     */
    public function setDate_until($date_until = null)
    {
        // validation for constraint: string
        if (!is_null($date_until) && !is_string($date_until)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($date_until, true), gettype($date_until)), __LINE__);
        }
        $this->date_until = $date_until;
        return $this;
    }
}
