<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2GevraagdGebied StructType
 * @subpackage Structs
 */
class KadasterV2GevraagdGebied extends AbstractStructBase
{
    /**
     * The identificatie
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $identificatie;
    /**
     * The postcode
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $postcode;
    /**
     * The huisnummer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $huisnummer;
    /**
     * The huisletter
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $huisletter;
    /**
     * The huisnummertoevoeging
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $huisnummertoevoeging;
    /**
     * The koopsom_gegevens
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\KadasterV2KoopsomGegevenArray
     */
    public $koopsom_gegevens;
    /**
     * The onroerende_zaken
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\KadasterV2OnroerendeZaakArray
     */
    public $onroerende_zaken;
    /**
     * Constructor method for KadasterV2GevraagdGebied
     * @uses KadasterV2GevraagdGebied::setIdentificatie()
     * @uses KadasterV2GevraagdGebied::setPostcode()
     * @uses KadasterV2GevraagdGebied::setHuisnummer()
     * @uses KadasterV2GevraagdGebied::setHuisletter()
     * @uses KadasterV2GevraagdGebied::setHuisnummertoevoeging()
     * @uses KadasterV2GevraagdGebied::setKoopsom_gegevens()
     * @uses KadasterV2GevraagdGebied::setOnroerende_zaken()
     * @param string $identificatie
     * @param string $postcode
     * @param int $huisnummer
     * @param string $huisletter
     * @param string $huisnummertoevoeging
     * @param \ArrayType\KadasterV2KoopsomGegevenArray $koopsom_gegevens
     * @param \ArrayType\KadasterV2OnroerendeZaakArray $onroerende_zaken
     */
    public function __construct($identificatie = null, $postcode = null, $huisnummer = null, $huisletter = null, $huisnummertoevoeging = null, \ArrayType\KadasterV2KoopsomGegevenArray $koopsom_gegevens = null, \ArrayType\KadasterV2OnroerendeZaakArray $onroerende_zaken = null)
    {
        $this
            ->setIdentificatie($identificatie)
            ->setPostcode($postcode)
            ->setHuisnummer($huisnummer)
            ->setHuisletter($huisletter)
            ->setHuisnummertoevoeging($huisnummertoevoeging)
            ->setKoopsom_gegevens($koopsom_gegevens)
            ->setOnroerende_zaken($onroerende_zaken);
    }
    /**
     * Get identificatie value
     * @return string
     */
    public function getIdentificatie()
    {
        return $this->identificatie;
    }
    /**
     * Set identificatie value
     * @param string $identificatie
     * @return \StructType\KadasterV2GevraagdGebied
     */
    public function setIdentificatie($identificatie = null)
    {
        // validation for constraint: string
        if (!is_null($identificatie) && !is_string($identificatie)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($identificatie, true), gettype($identificatie)), __LINE__);
        }
        $this->identificatie = $identificatie;
        return $this;
    }
    /**
     * Get postcode value
     * @return string|null
     */
    public function getPostcode()
    {
        return $this->postcode;
    }
    /**
     * Set postcode value
     * @param string $postcode
     * @return \StructType\KadasterV2GevraagdGebied
     */
    public function setPostcode($postcode = null)
    {
        // validation for constraint: string
        if (!is_null($postcode) && !is_string($postcode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($postcode, true), gettype($postcode)), __LINE__);
        }
        $this->postcode = $postcode;
        return $this;
    }
    /**
     * Get huisnummer value
     * @return int|null
     */
    public function getHuisnummer()
    {
        return $this->huisnummer;
    }
    /**
     * Set huisnummer value
     * @param int $huisnummer
     * @return \StructType\KadasterV2GevraagdGebied
     */
    public function setHuisnummer($huisnummer = null)
    {
        // validation for constraint: int
        if (!is_null($huisnummer) && !(is_int($huisnummer) || ctype_digit($huisnummer))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($huisnummer, true), gettype($huisnummer)), __LINE__);
        }
        $this->huisnummer = $huisnummer;
        return $this;
    }
    /**
     * Get huisletter value
     * @return string|null
     */
    public function getHuisletter()
    {
        return $this->huisletter;
    }
    /**
     * Set huisletter value
     * @param string $huisletter
     * @return \StructType\KadasterV2GevraagdGebied
     */
    public function setHuisletter($huisletter = null)
    {
        // validation for constraint: string
        if (!is_null($huisletter) && !is_string($huisletter)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($huisletter, true), gettype($huisletter)), __LINE__);
        }
        $this->huisletter = $huisletter;
        return $this;
    }
    /**
     * Get huisnummertoevoeging value
     * @return string|null
     */
    public function getHuisnummertoevoeging()
    {
        return $this->huisnummertoevoeging;
    }
    /**
     * Set huisnummertoevoeging value
     * @param string $huisnummertoevoeging
     * @return \StructType\KadasterV2GevraagdGebied
     */
    public function setHuisnummertoevoeging($huisnummertoevoeging = null)
    {
        // validation for constraint: string
        if (!is_null($huisnummertoevoeging) && !is_string($huisnummertoevoeging)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($huisnummertoevoeging, true), gettype($huisnummertoevoeging)), __LINE__);
        }
        $this->huisnummertoevoeging = $huisnummertoevoeging;
        return $this;
    }
    /**
     * Get koopsom_gegevens value
     * @return \ArrayType\KadasterV2KoopsomGegevenArray|null
     */
    public function getKoopsom_gegevens()
    {
        return $this->koopsom_gegevens;
    }
    /**
     * Set koopsom_gegevens value
     * @param \ArrayType\KadasterV2KoopsomGegevenArray $koopsom_gegevens
     * @return \StructType\KadasterV2GevraagdGebied
     */
    public function setKoopsom_gegevens(\ArrayType\KadasterV2KoopsomGegevenArray $koopsom_gegevens = null)
    {
        $this->koopsom_gegevens = $koopsom_gegevens;
        return $this;
    }
    /**
     * Get onroerende_zaken value
     * @return \ArrayType\KadasterV2OnroerendeZaakArray|null
     */
    public function getOnroerende_zaken()
    {
        return $this->onroerende_zaken;
    }
    /**
     * Set onroerende_zaken value
     * @param \ArrayType\KadasterV2OnroerendeZaakArray $onroerende_zaken
     * @return \StructType\KadasterV2GevraagdGebied
     */
    public function setOnroerende_zaken(\ArrayType\KadasterV2OnroerendeZaakArray $onroerende_zaken = null)
    {
        $this->onroerende_zaken = $onroerende_zaken;
        return $this;
    }
}
