<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RouteInfo StructType
 * @subpackage Structs
 */
class RouteInfo extends AbstractStructBase
{
    /**
     * The time
     * @var int
     */
    public $time;
    /**
     * The distance
     * @var int
     */
    public $distance;
    /**
     * Constructor method for RouteInfo
     * @uses RouteInfo::setTime()
     * @uses RouteInfo::setDistance()
     * @param int $time
     * @param int $distance
     */
    public function __construct($time = null, $distance = null)
    {
        $this
            ->setTime($time)
            ->setDistance($distance);
    }
    /**
     * Get time value
     * @return int|null
     */
    public function getTime()
    {
        return $this->time;
    }
    /**
     * Set time value
     * @param int $time
     * @return \StructType\RouteInfo
     */
    public function setTime($time = null)
    {
        // validation for constraint: int
        if (!is_null($time) && !(is_int($time) || ctype_digit($time))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($time, true), gettype($time)), __LINE__);
        }
        $this->time = $time;
        return $this;
    }
    /**
     * Get distance value
     * @return int|null
     */
    public function getDistance()
    {
        return $this->distance;
    }
    /**
     * Set distance value
     * @param int $distance
     * @return \StructType\RouteInfo
     */
    public function setDistance($distance = null)
    {
        // validation for constraint: int
        if (!is_null($distance) && !(is_int($distance) || ctype_digit($distance))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($distance, true), gettype($distance)), __LINE__);
        }
        $this->distance = $distance;
        return $this;
    }
}
