<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SortedPostcodePagedResult StructType
 * @subpackage Structs
 */
class SortedPostcodePagedResult extends AbstractStructBase
{
    /**
     * The paging
     * @var \StructType\ResultInfo
     */
    public $paging;
    /**
     * The results
     * @var \ArrayType\SortedPostcodeArray
     */
    public $results;
    /**
     * Constructor method for SortedPostcodePagedResult
     * @uses SortedPostcodePagedResult::setPaging()
     * @uses SortedPostcodePagedResult::setResults()
     * @param \StructType\ResultInfo $paging
     * @param \ArrayType\SortedPostcodeArray $results
     */
    public function __construct(\StructType\ResultInfo $paging = null, \ArrayType\SortedPostcodeArray $results = null)
    {
        $this
            ->setPaging($paging)
            ->setResults($results);
    }
    /**
     * Get paging value
     * @return \StructType\ResultInfo|null
     */
    public function getPaging()
    {
        return $this->paging;
    }
    /**
     * Set paging value
     * @param \StructType\ResultInfo $paging
     * @return \StructType\SortedPostcodePagedResult
     */
    public function setPaging(\StructType\ResultInfo $paging = null)
    {
        $this->paging = $paging;
        return $this;
    }
    /**
     * Get results value
     * @return \ArrayType\SortedPostcodeArray|null
     */
    public function getResults()
    {
        return $this->results;
    }
    /**
     * Set results value
     * @param \ArrayType\SortedPostcodeArray $results
     * @return \StructType\SortedPostcodePagedResult
     */
    public function setResults(\ArrayType\SortedPostcodeArray $results = null)
    {
        $this->results = $results;
        return $this;
    }
}
